aboutsummaryrefslogtreecommitdiff
path: root/0.4.0/test/run_test.sh
diff options
context:
space:
mode:
Diffstat (limited to '0.4.0/test/run_test.sh')
-rwxr-xr-x0.4.0/test/run_test.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/0.4.0/test/run_test.sh b/0.4.0/test/run_test.sh
new file mode 100755
index 0000000..3dc57a7
--- /dev/null
+++ b/0.4.0/test/run_test.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+if test -f "$TEST_SCRIPT_DIR""${2:-${1}}"_"setup.sh" ; then
+ echo ">>> setup for test ${2:-${1}}"
+ if ! "$TEST_SCRIPT_DIR""${2:-${1}}"_"setup.sh" ; then
+ echo ">>> exiting with error for test ${2:-${1}}"
+ exit 255
+ fi
+fi
+
+echo ">>> test ${2:-${1}}"
+if ! ${@} ; then
+ if test -f "$TEST_SCRIPT_DIR""${2:-${1}}"_"cleanup.sh" ; then
+ echo ">>> cleanup for test ${2:-${1}}"
+ "$TEST_SCRIPT_DIR""${2:-${1}}"_"cleanup.sh"
+ fi
+ echo ">>> exiting with error for test ${2:-${1}}"
+ exit 255
+fi
+
+if test -f "$TEST_SCRIPT_DIR""${2:-${1}}"_"cleanup.sh" ; then
+ echo ">>> cleanup for test ${2:-${1}}"
+ if ! "$TEST_SCRIPT_DIR""${2:-${1}}"_"cleanup.sh" ; then
+ echo ">>> exiting with error for test ${2:-${1}}"
+ exit 255
+ fi
+fi
+
+echo ">>> exiting with success for test ${2:-${1}}"
+exit 0
+
+